Bug 817025 - numad: systemctl can't start/stop numad.service if executing numad command
numad: systemctl can't start/stop numad.service if executing numad command
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: numad (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
: 818460 (view as bug list)
Depends On:
Blocks: 818460
  Show dependency treegraph
 
Reported: 2012-04-27 09:17 EDT by Zhouping Liu
Modified: 2014-01-12 19:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 818460 (view as bug list)
Environment:
Last Closed: 2012-05-22 09:27:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhouping Liu 2012-04-27 09:17:14 EDT
Description of problem:
if you start numad through '# numad', then systemctl can't control the numad.service.

Version-Release number of selected component (if applicable):
3.3.2-8.fc17.x86_64 x86_64
numad version: 20120305b

How reproducible:
100%

Steps to Reproduce:
[root@ZhoupingLiu numad]# numad
[root@ZhoupingLiu numad]# systemctl start numad.service
[root@ZhoupingLiu numad]# systemctl status numad.service
numad.service - numad - The NUMA daemon that manages application locality.
          Loaded: loaded (/usr/lib/systemd/system/numad.service; enabled)
          Active: inactive (dead) since Thu, 26 Apr 2012 14:46:45 +0800; 9s ago
         Process: 9881 ExecStart=/usr/bin/numad -i $INTERVAL (code=exited, status=0/SUCCESS)
          CGroup: name=systemd:/system/numad.service
and I'm sure numad.service is always running.

Actual results:
systemctl can't control numad.service.

Expected results:
systemctl can control numad.service
Comment 1 Bill Gray 2012-05-03 14:53:25 EDT
*** Bug 818460 has been marked as a duplicate of this bug. ***
Comment 2 Jan Synacek 2012-05-22 08:45:29 EDT
I would blame systemd, as I can do the same with e.g. slapd (Openldap server that also provides a service file and can be run manually). I think that running a service manually and controlling it through systemctl just don't work together.
Comment 3 Michal Schmidt 2012-05-22 08:54:03 EDT
(In reply to comment #2)
> I think that running a service manually and controlling it through systemctl
> just don't work together.

Correct. When you run "numad" from your shell, you are not really running a "service" in systemd's view. You are merely running a process in your login session. Note that that process will inherit certain parts of your environment, and it will not be running in its own cgroup. Proper clean environment in which services are running is considered a feature of systemd.
So in general do not start daemons outside of systemd services.
Comment 4 Jan Synacek 2012-05-22 09:27:22 EDT
Not a bug then.

Note You need to log in before you can comment on or make changes to this bug.